Simulate reversal
curl --request POST \
--url https://api.synctera.com/v1/cards/transaction_simulations/reversal \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 80,
"find_original_window_days": 6,
"is_advice": false,
"network_fees": [
{
"amount": 123,
"credit_debit": "C",
"type": "ISSUER_FEE"
},
{
"amount": 123,
"credit_debit": "C",
"type": "ISSUER_FEE"
}
],
"original_transaction_id": "original_transaction_id"
}
'import requests
url = "https://api.synctera.com/v1/cards/transaction_simulations/reversal"
payload = {
"amount": 80,
"find_original_window_days": 6,
"is_advice": False,
"network_fees": [
{
"amount": 123,
"credit_debit": "C",
"type": "ISSUER_FEE"
},
{
"amount": 123,
"credit_debit": "C",
"type": "ISSUER_FEE"
}
],
"original_transaction_id": "original_transaction_id"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 80,
find_original_window_days: 6,
is_advice: false,
network_fees: [
{amount: 123, credit_debit: 'C', type: 'ISSUER_FEE'},
{amount: 123, credit_debit: 'C', type: 'ISSUER_FEE'}
],
original_transaction_id: 'original_transaction_id'
})
};
fetch('https://api.synctera.com/v1/cards/transaction_simulations/reversal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Card Transaction Simulations (beta)
Simulate reversal
A reversal releases the hold that was placed on account funds by an authorization, thus returning the funds to the account.
Simulate an authorization.reversal type transaction by including the original_transaction_token and amount in your request.
POST
/
cards
/
transaction_simulations
/
reversal
Simulate reversal
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Reversal details
The amount of the transaction in the smallest whole denomination of the applicable currency (eg. For USD use cents)
Show child attributes
Show child attributes
Response
Success
The response is of type object.
Was this page helpful?
โI

